Run executable from bazel instead of bazel run (which did not seem to work)

Increased timout limit because no interop_server was make'd b4 hand
pull/19855/head
Tony Lu 5 years ago
parent 4be53843d3
commit e00d7fc179
  1. 10
      src/objective-c/tests/run_one_test.sh
  2. 12
      src/objective-c/tests/run_one_test_bazel.sh
  3. 19
      src/objective-c/tests/run_tests.sh
  4. 4
      tools/run_tests/run_tests.py

@ -22,10 +22,16 @@ cd $(dirname $0)
BAZEL=../../../tools/bazel BAZEL=../../../tools/bazel
INTEROP=../../../bazel-out/darwin-fastbuild/bin/test/cpp/interop/interop_server
[ -d Tests.xcworkspace ] || { [ -d Tests.xcworkspace ] || {
./build_tests.sh ./build_tests.sh
} }
[ -f $INTEROP ] || {
BAZEL build //test/cpp/interop:interop_server
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && { [ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py." echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py."
exit 1 exit 1
@ -34,8 +40,8 @@ BAZEL=../../../tools/bazel
PLAIN_PORT=$(curl localhost:32766/get) PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get) TLS_PORT=$(curl localhost:32766/get)
BAZEL run -- //test/cpp/interop:interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 & $INTEROP --port=$PLAIN_PORT --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls & $INTEROP --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -20,14 +20,18 @@ set -ev
cd $(dirname $0) cd $(dirname $0)
BINDIR=../../../bins/$CONFIG
BAZEL=../../../tools/bazel BAZEL=../../../tools/bazel
INTEROP=../../../bazel-out/darwin-fastbuild/bin/test/cpp/interop/interop_server
[ -d Tests.xcworkspace ] || { [ -d Tests.xcworkspace ] || {
./build_tests.sh ./build_tests.sh
} }
[ -f $INTEROP ] || {
BAZEL build //test/cpp/interop:interop_server
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && { [ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py." echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py."
exit 1 exit 1
@ -36,8 +40,8 @@ BAZEL=../../../tools/bazel
PLAIN_PORT=$(curl localhost:32766/get) PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get) TLS_PORT=$(curl localhost:32766/get)
BAZEL run -- //test/cpp/interop:interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 & $INTEROP --port=$PLAIN_PORT --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls & $INTEROP --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -24,11 +24,26 @@ cd $(dirname $0)
BAZEL=../../../tools/bazel BAZEL=../../../tools/bazel
INTEROP=../../../bazel-out/darwin-fastbuild/bin/test/cpp/interop/interop_server
[ -d Tests.xcworkspace ] || { [ -d Tests.xcworkspace ] || {
./build_tests.sh ./build_tests.sh
} }
BAZEL run -- //test/cpp/interop:interop_server --port=5050 --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=5051 --max_send_message_size=8388608 --use_tls & [ -f $INTEROP ] || {
BAZEL build //test/cpp/interop:interop_server
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py."
exit 1
}
PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get)
$INTEROP --port=$PLAIN_PORT --max_send_message_size=8388608 &
$INTEROP --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
# Kill them when this script exits. # Kill them when this script exits.
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -1072,7 +1072,7 @@ class ObjCLanguage(object):
out.append( out.append(
self.config.job_spec( self.config.job_spec(
['src/objective-c/tests/build_one_example.sh'], ['src/objective-c/tests/build_one_example.sh'],
timeout_seconds=10 * 60, timeout_seconds=20 * 60,
shortname='ios-buildtest-example-sample-frameworks', shortname='ios-buildtest-example-sample-frameworks',
cpu_cost=1e6, cpu_cost=1e6,
environ={ environ={
@ -1083,7 +1083,7 @@ class ObjCLanguage(object):
out.append( out.append(
self.config.job_spec( self.config.job_spec(
['src/objective-c/tests/build_one_example.sh'], ['src/objective-c/tests/build_one_example.sh'],
timeout_seconds=10 * 60, timeout_seconds=20 * 60,
shortname='ios-buildtest-example-switftsample', shortname='ios-buildtest-example-switftsample',
cpu_cost=1e6, cpu_cost=1e6,
environ={ environ={

Loading…
Cancel
Save